xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) MATSUYAMA Tomohiro <t.matsuyama.pub@gmail.com>
License | BSD-style (see LICENSE)
Maintainer | MATSUYAMA Tomohiro <t.matsuyama.pub@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.ResizableTile

Contents

- Usage

Description

More useful tiled layout that allows you to change a width/height of window.

Synopsis

- data ResizableTall a = ResizableTall {
  - _nmaster :: Int
  - _delta :: Rational
  - _frac :: Rational
  - _slaves :: [Rational]
  }
- data MirrorResize
  - = MirrorShrink
  - | MirrorExpand

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.ResizableTile

Then edit your `layoutHook` by adding the ResizableTile layout:

    myLayout =  ResizableTall 1 (3/100) (1/2) [] ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

You may also want to add the following key bindings:

    , ((modm,               xK_a), sendMessage MirrorShrink)
    , ((modm,               xK_z), sendMessage MirrorExpand)

For detailed instruction on editing the key binding see:

the tutorial.

data ResizableTall a #

Constructors

ResizableTall |

Fields

- _nmaster :: Int

  number of master windows

- _delta :: Rational

  change when resizing by `Shrink`, `Expand`, `MirrorShrink`, `MirrorExpand`

- _frac :: Rational

  width of master

- _slaves :: [Rational]

  fraction to multiply the window height that would be given when divided equally.

  slave windows are assigned their modified heights in order, from top to bottom

  unspecified values are replaced by 1

#### Instances

Instances details

LayoutClass ResizableTall a # |

Instance details

Defined in XMonad.Layout.ResizableTile

Methods

runLayout :: Workspace WorkspaceId (ResizableTall a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (ResizableTall a)) #

doLayout :: ResizableTall a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (ResizableTall a)) #

pureLayout :: ResizableTall a -> Rectangle -> Stack a -> [(a, Rectangle)] #

emptyLayout :: ResizableTall a -> Rectangle -> X ([(a, Rectangle)], Maybe (ResizableTall a)) #

handleMessage :: ResizableTall a -> SomeMessage -> X (Maybe (ResizableTall a)) #

pureMessage :: ResizableTall a -> SomeMessage -> Maybe (ResizableTall a) #

description :: ResizableTall a -> String #

Read (ResizableTall a) # |
Instance details Defined in XMonad.Layout.ResizableTile Methods readsPrec :: Int -> ReadS (ResizableTall a) # readList :: ReadS [ResizableTall a] # readPrec :: ReadPrec (ResizableTall a) # readListPrec :: ReadPrec [ResizableTall a] #
Show (ResizableTall a) # |
Instance details Defined in XMonad.Layout.ResizableTile Methods showsPrec :: Int -> ResizableTall a -> ShowS # show :: ResizableTall a -> String # showList :: [ResizableTall a] -> ShowS #

data MirrorResize #

Constructors

MirrorShrink |
MirrorExpand |

#### Instances

Instances details

Message MirrorResize # |
Instance details Defined in XMonad.Layout.ResizableTile